diff --git a/.Floppies/A2OSX.BUILD.po b/.Floppies/A2OSX.BUILD.po
index 8796c5fe..b71cb0e1 100644
Binary files a/.Floppies/A2OSX.BUILD.po and b/.Floppies/A2OSX.BUILD.po differ
diff --git a/INC/NET.SMB.I.txt b/INC/NET.SMB.I.txt
index 6fb614db..582545f0 100644
--- a/INC/NET.SMB.I.txt
+++ b/INC/NET.SMB.I.txt
@@ -30,3 +30,4 @@ S.SMB.HEADER	.EQ 32
 *--------------------------------------
 MAN
 SAVE INC/NET.SMB.I
+
diff --git a/SBIN/CIFSD.S.txt b/SBIN/CIFSD.S.txt
index 8a27c57a..704ec62d 100644
--- a/SBIN/CIFSD.S.txt
+++ b/SBIN/CIFSD.S.txt
@@ -76,8 +76,9 @@ CS.INIT			>LDYA L.LIBTCPIP
 *--------------------------------------
 CS.RUN			jsr CS.RUN.CheckArgs
 				bcs .90
-				
+
 				jsr CS.RUN.Connect
+				>DEBUG
 				bcs .9
 				
 				jsr CS.RUN.Negotiate
diff --git a/SYS/KERNEL.S.DIRENT.txt b/SYS/KERNEL.S.DIRENT.txt
index 8bd35d84..8d762793 100644
--- a/SYS/KERNEL.S.DIRENT.txt
+++ b/SYS/KERNEL.S.DIRENT.txt
@@ -24,9 +24,8 @@ K.OpenDir		jsr PFT.CheckPathYA
 				>STYA pFD
 				stx IO.hFD
 				
-				ldy #S.FD.T
 				lda #S.FD.T.DIR
-				sta (pFD),y
+				sta (pFD)
 
 				ldy #1 				
 				lda K.Buf256,y			One char ("/") ?
diff --git a/SYS/KERNEL.S.IO.txt b/SYS/KERNEL.S.IO.txt
index feaecc71..2c0bd3be 100644
--- a/SYS/KERNEL.S.IO.txt
+++ b/SYS/KERNEL.S.IO.txt
@@ -855,7 +855,7 @@ IO.MLIOPEN		>LDYAI 1024				get a ProDOS IOBUF
 *				clc				
 .9				rts
 *--------------------------------------
-IO.DEVDIR		.EQ *					>PSTR "/DEV/"
+IO.DEVDIR		.EQ *					"/DEV/"
 *--------------------------------------
 STAT.FIFO		.AS "/DEV/FIFO"
 *--------------------------------------
diff --git a/SYS/KERNEL.S.MATH.txt b/SYS/KERNEL.S.MATH.txt
index a4e4df70..c0870959 100644
--- a/SYS/KERNEL.S.MATH.txt
+++ b/SYS/KERNEL.S.MATH.txt
@@ -537,6 +537,26 @@ MATH.Hex2ACC32	lda (ZPPtr2)
 .9				sec
 				rts
 *--------------------------------------
+* Convert A to 2 hex digits in AX
+*--------------------------------------
+MATH.AToHexAX	pha
+				and #$0F
+				jsr .8
+				tax
+
+				pla
+				lsr
+				lsr
+				lsr
+				lsr
+				
+.8				ora #$30
+				cmp #'9'+1
+				bcc .9
+				adc #6
+				
+.9				rts				
+*--------------------------------------
 * Convert Decimal int at ZPPtr2 to ACC32
 *--------------------------------------
 MATH.Dec2ACC32	jsr MATH.ACC32ZERO
diff --git a/SYS/KERNEL.S.STAT.txt b/SYS/KERNEL.S.STAT.txt
index 2e9604d2..a32c9542 100644
--- a/SYS/KERNEL.S.STAT.txt
+++ b/SYS/KERNEL.S.STAT.txt
@@ -311,41 +311,28 @@ K.MKFIFO		>STYA ZPPtr1			pathname buffer
 				bcs STAT.Access2Mode.RTS
 
 				sta K.S.STAT+S.STAT.DEV	hFD
-				tax
+				pha
+				
+				ldy #0
+				
+.1				lda STAT.FIFO,y
+				sta (ZPPtr1),y
+				iny
+				cpy #9
+				bne .1
 
-				ldy #11
+				pla
+				jsr MATH.AToHexAX
+				
+				sta (ZPPtr1),y
+				txa
+				iny
+				sta (ZPPtr1),y
+				iny
 				lda #0
 				sta (ZPPtr1),y
-				dey
 				
-				txa
-				
-				and #$0F
-				jsr .7
-				sta (ZPPtr1),y
-				dey
-				
-				txa
-				lsr
-				lsr
-				lsr
-				lsr
-				jsr .7
-				
-.1				sta (ZPPtr1),y
-				lda STAT.FIFO-1,y
-				dey
-				bpl .1
-
 				bra K.MkNod.I
-				
-.7				ora #$30
-				cmp #'9'+1
-				bcc .8
-				
-				adc #6
-				
-.8				rts
 */--------------------------------------
 * # MkNod
 * Create a special or ordinary file.
diff --git a/SYS/KERNEL.S.STDIO.txt b/SYS/KERNEL.S.STDIO.txt
index e162d691..23c52b35 100644
--- a/SYS/KERNEL.S.STDIO.txt
+++ b/SYS/KERNEL.S.STDIO.txt
@@ -619,7 +619,8 @@ PrintF.SS		ldy #$00				PSTR
 				
 				cpy	K.PrintF.PadL
 				bne .1
-				clc
+				
+.8				clc
 				rts
 				
 .2				lda K.PrintF.PadL
@@ -633,34 +634,26 @@ PrintF.SS		ldy #$00				PSTR
 				bcs .9
 				iny
 				bne .3
-				
-.8				clc
+
+*				clc
 .9				rts
 *--------------------------------------
 PrintF.HH		jsr PrintF.GetByte
 				bcs PrintF.COut.RTS
-				tax						LO byte
+				pha						LO byte
 				jsr PrintF.H
+				plx
 				bcs PrintF.COut.RTS
 				txa
 				bra PrintF.H.1
 *--------------------------------------
 PrintF.H		jsr PrintF.GetByte
 				bcs PrintF.COut.RTS
-PrintF.H.1		tay
-				lsr
-				lsr
-				lsr
-				lsr
-				jsr PrintF.COutHex
+				
+PrintF.H.1		jsr MATH.AToHexAX
+				jsr PrintF.COut
 				bcs PrintF.COut.RTS
-				tya
-				and #$0F
-*--------------------------------------
-PrintF.COutHex	ora #$30
-				cmp #'9'+1
-				bcc PrintF.COut
-				adc #6
+				txa
 *--------------------------------------
 PrintF.COut		phy
 				ldy PrintF.Cnt
